<div class="draw-detail">
    <br>
    <div class="event-name">
        <small>รายละเอียด </small><br>
        <mat-form-field appearance="outline" style="width: 90%;">
            <input matInput placeholder=" " [(ngModel)]="description">
        </mat-form-field>
        <small class="select-location  ml-3" [ngClass]="{'pointer' : description != '' && geometry != null}"
            (click)="onCreate()">เลือก</small>
    </div><br>

    <div class="draw-item  d-flex align-items-center" *ngFor="let item of drawList">
        <div class="icon ">
            <img *ngIf="item.type !='POINT'" src="../../../../assets/image/{{item.type}}.png">
            <img class="ml-3" *ngIf="item.type =='POINT'" src="../../../../assets/image/{{item.type}}.svg">
        </div>
        <div class="detail ">
            <small>{{item.desc}}</small>
        </div>
        <div class="action">
            <span class="material-symbols-outlined pointer btn-delete" (click)="openDelete(item)">
                delete
            </span>
        </div>
    </div>

</div>

<ng-template #drawDelete let-modal>
    <div class="modal-header">
        <strong class="modal-title" id="modal-basic-title">ลบวาดข้อมูลประกอบ</strong>
    </div>
    <div class="modal-body modal-delete">
        <small for="dateOfBirth">หากต้องการยืนยันการลบ ให้พิมพ์ delete ในช่อง</small>
        <mat-form-field appearance="outline" style="width: 100%; height: 15px;">
            <input matInput placeholder="delete" [(ngModel)]="delete">
        </mat-form-field><br>
        <br>
    </div>
    <div class="modal-footer">
        <button mat-raised-button (click)="cancelDelete()">ยกเลิก</button>
        <button mat-raised-button color="primary" (click)="onDeleteDraw()" [disabled]="delete != 'delete'">ตกลง</button>
    </div>
</ng-template>